#
# Conditional build:
%bcond_with	idsa	# IDS/A logging
#
Summary:	Library for flexible logging
Summary(pl.UTF-8):	Biblioteka do elastycznego logowania
Name:		log4cpp
Version:	1.1.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/log4cpp/%{name}-%{version}.tar.gz
# Source0-md5:	1e173df8ee97205f412ff84aa93b8fbe
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-idsa.patch
URL:		http://log4cpp.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
%{?with_idsa:BuildRequires:	idsa-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4cpp is library of C++ classes for flexible logging to files,
syslog, IDSA and other destinations. It is modeled after the Log4j
Java library, staying as close to their API as is reasonable.

%description -l pl.UTF-8
Log4cpp to biblioteka klas C++ do elastycznego logowania do plików,
sysloga, IDSA i innych miejsc. Jest tworzona na podstawie biblioteki
Javy Log4j i pozostaje jak najbliżej jej API w granicach rozsądku.

%package devel
Summary:	Header files for log4cpp
Summary(pl.UTF-8):	Pliki nagłówkowe log4cpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the development and header files for log4cpp.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki log4cpp.

%package static
Summary:	Static log4cpp library
Summary(pl.UTF-8):	Statyczna biblioteka log4cpp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static log4cpp library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę log4cpp.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-doxygen \
	%{?with_idsa:--with-idsa}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install  \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=$RPM_BUILD_ROOT/removeit \
	mandir=$RPM_BUILD_ROOT%{_mandir}

rm -rf $RPM_BUILD_ROOT/removeit

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/liblog4cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblog4cpp.so.5

%files devel
%defattr(644,root,root,755)
%doc doc/html/default.css doc/html/sflogo.png doc/html/index.html doc/html/api
%attr(755,root,root) %{_bindir}/log4cpp-config
%attr(755,root,root) %{_libdir}/liblog4cpp.so
%{_libdir}/liblog4cpp.la
%{_includedir}/log4cpp
%{_mandir}/man3/log4cpp.3*
%{_mandir}/man3/log4cpp::*.3*
%{_aclocaldir}/log4cpp.m4
%{_pkgconfigdir}/log4cpp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblog4cpp.a
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/log4cpp.git;a=log;h=master

* Fri Apr 11 2014 Jakub Bogusz <qboosh@pld-linux.org> cc1f762
- handle idsa option

* Mon Apr 07 2014 Jakub Bogusz <qboosh@pld-linux.org> d89ca76
- updated to 1.1.1 (note: new soname)
- removed obsolete gcc patch

* Wed Jul 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 04d12e6
- updated Source0 URL

* Tue Sep 16 2008 Jakub Bogusz <qboosh@pld-linux.org> b744b0f
- added gcc,lt patches (now build using g++ 4.3/lt 2.2.x/-as-needed)
- removed obsolete aclocal workaround

* Tue Sep 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 17410fa
- libtool workaround

* Tue Sep 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 7623745
- fixes for g++ 4.3.x

* Sun Sep 14 2008 pawelz <pawelz@pld-linux.org> 90df42a
- applied upstream

* Sun Sep 14 2008 pawelz <pawelz@pld-linux.org> 5e1274b
- added pkgconfig file
- more %doc

* Sun Sep 14 2008 pawelz <pawelz@pld-linux.org> ebbfe82
- more verbose %files

* Sun Sep 14 2008 pawelz <pawelz@pld-linux.org> 5696250
- up to 1.0
- removed am18.patch
- by Pawel Dlugosz <pawel at dlugosz dot eu>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f23f996
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f7008b
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> d17d1cd
- unify sourceforge url

* Thu Sep 01 2005 darekr <darekr@pld-linux.org> e737639
- strict deps, gpm-friendly Source0

* Sun Dec 21 2003 Jakub Bogusz <qboosh@pld-linux.org> da42a49
- -devel R: libstdc++-devel

* Sun Dec 21 2003 Jakub Bogusz <qboosh@pld-linux.org> 4206828
- added am18 patch (log4cpp.m4 quotation fix) and nolibs patch (kill -lnsl)
- fixed ac/am rebuilding
- release 2

* Sun Dec 21 2003 Jakub Bogusz <qboosh@pld-linux.org> 7b3d36a
- we don't need no -lnsl

* Sun Dec 21 2003 Jakub Bogusz <qboosh@pld-linux.org> c58080f
- log4cpp.m4 quotation fix

* Fri Dec 19 2003 eothane <eothane@pld-linux.org> 10476b7
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 049291d
- mass commit: cosmetics (removed trailing white spaces)

